org.eclipse.emf.cdo.server

## Interface IRepositoryFactory

- All Known Implementing Classes:
    RepositoryFactory

      public interface IRepositoryFactory

  Creates CDO `repositories`.
  Author:
    Eike Stepper
  Apiviz
    `IRepository` - - creates

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRODUCT_GROUP`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRepository` | `createRepository()`
    `String` | `getRepositoryType()`

- - ### Field Detail

    - #### PRODUCT_GROUP

          static final String PRODUCT_GROUP

      Since:
        2.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRepositoryType

          String getRepositoryType()

    - #### createRepository

          IRepository createRepository()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html